<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <title>Dashboard</title>

    <link type="text/css" href="./assets/Chart.2.8.min.css" />
  </head>

  <body>
    <h1>Dashboard</h1>
    <canvas id="check-ins-chart" width="450" height="150"></canvas>

    <script type="text/javascript" src="assets/Chart.2.8.min.js"></script>
    <script>
      // colors via colours.neilorangepeel.com
      const lineColors  = ['#4682B4', '#98FB98', '#8A2BE2', '#00CED1', '#0000CD', '#B8860B', '#D2691E', '#FFA500']

      function addStylingToDatasets(datasets) {
        return datasets
          .map((item, i) => Object.assign({}, item, {
            fill: false,
            lineTension: .1,
            borderColor: lineColors[i] || '#008080'
          }))
      }

      function drawChart(data) {
        data.datasets = addStylingToDatasets(data.datasets)
        var ctx = document.getElementById('check-ins-chart')
        new Chart(ctx, {
          responsive: true,
          type: 'line',
          data: Object.assign({}, data, {
            datasets: addStylingToDatasets(data.datasets)
          }),

          options: {
            scales: {
              yAxes: [{
                ticks: {
                  beginAtZero: true
                }
              }]
            },
            animation: {
              duration: 0
            },
            hover: {
              animationDuration: 0
            },
            responsiveAnimationDuration: 0
          }
        });
      }

      fetch('/api/check-ins/stats')
        .then(response => response.json())
        .then(stats => {
          drawChart(stats)
        })
    </script>
  </body>
</html>
